{-# LANGUAGE TemplateHaskell, EmptyDataDecls, NoMonomorphismRestriction #-}
module HRef.Semantics.Html where

import Data.HList.Label4
import Data.HList.TypeEqGeneric1
import Data.HList.TypeCastGeneric1

import Language.Grammars.AspectAG

import HRef.Decl
import Document.Semantics.Html


href_html  = syn html $ 
                    do adr   <- at ch_href_address
                       descr <- at ch_href_description
                       return $ "<a href = " ++ adr ++ ">" 
                              ++ descr 
                              ++ "</a>"


aspHref = href_html

semHtmlHref = mkDocHref aspHref
